"""colunas da tabela metadado

Revision ID: 3603f39bc735
Revises: 
Create Date: 2020-09-12 10:54:12.693885

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3603f39bc735'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('meta_dado',
    sa.Column('dh_inicio_registro', sa.DateTime(timezone=True), nullable=True),
    sa.Column('dh_update', sa.DateTime(timezone=True), nullable=True),
    sa.Column('dh_fim_registro', sa.DateTime(timezone=True), nullable=True),
    sa.Column('metadado_id', sa.Integer(), nullable=False),
    sa.Column('filename', sa.String(length=64), nullable=True),
    sa.Column('mime_type', sa.String(length=50), nullable=True),
    sa.Column('dimensions', sa.String(length=50), nullable=True),
    sa.Column('author', sa.String(length=50), nullable=True),
    sa.Column('copyright', sa.String(length=50), nullable=True),
    sa.Column('camera_maker_model', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('metadado_id'),
    sa.UniqueConstraint('filename')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('meta_dado')
    # ### end Alembic commands ###
